| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Timer Control Codes
Ethernet MAC Interface

Control codes for ARM_ETH_MAC_ControlTimer function. More...

## Macros

#define | ARM_ETH_MAC_TIMER_GET_TIME (0x01)
| Get current time.
#define | ARM_ETH_MAC_TIMER_SET_TIME (0x02)
| Set new time.
#define | ARM_ETH_MAC_TIMER_INC_TIME (0x03)
| Increment current time.
#define | ARM_ETH_MAC_TIMER_DEC_TIME (0x04)
| Decrement current time.
#define | ARM_ETH_MAC_TIMER_SET_ALARM (0x05)
| Set alarm time.
#define | ARM_ETH_MAC_TIMER_ADJUST_CLOCK (0x06)
| Adjust clock frequency; time->ns: correction factor * 2^31.

## Description

Control codes for ARM_ETH_MAC_ControlTimer function.

The following timer controls are used as parameter control for the ARM_ETH_MAC_ControlTimer function:

## Macro Definition Documentation

#define ARM_ETH_MAC_TIMER_ADJUST_CLOCK (0x06)

Adjust clock frequency; time->ns: correction factor * 2^31.

See Also
  ARM_ETH_MAC_ControlTimer

#define ARM_ETH_MAC_TIMER_DEC_TIME (0x04)

Decrement current time.

See Also
  ARM_ETH_MAC_ControlTimer

#define ARM_ETH_MAC_TIMER_GET_TIME (0x01)

Get current time.

See Also
  ARM_ETH_MAC_ControlTimer

#define ARM_ETH_MAC_TIMER_INC_TIME (0x03)

Increment current time.

See Also
  ARM_ETH_MAC_ControlTimer

#define ARM_ETH_MAC_TIMER_SET_ALARM (0x05)

Set alarm time.

See Also
  ARM_ETH_MAC_ControlTimer

#define ARM_ETH_MAC_TIMER_SET_TIME (0x02)

Set new time.

See Also
  ARM_ETH_MAC_ControlTimer